> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Transaction Receipt Status

> Retrieves the execution status of a specific transaction using its transaction hash.

export const chain = '1';

<ResponseExample>
  ```json Example response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": {
      "status": "1"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/gettxreceiptstatus.json GET /v2/api
openapi: 3.1.0
info:
  title: Check Transaction Receipt Status
  version: 2.0.0
  description: >-
    Retrieves the execution status of a specific transaction using its
    transaction hash.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Check Transaction Receipt Status
      description: >-
        Retrieves the execution status of a specific transaction using its
        transaction hash.
      operationId: getGettxreceiptstatus
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our
            [supported chains](/supported-chains).
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to transaction for this endpoint.
          schema:
            type: string
            default: transaction
          example: transaction
        - name: action
          in: query
          required: true
          description: Set to gettxreceiptstatus for this endpoint.
          schema:
            type: string
            default: gettxreceiptstatus
          example: gettxreceiptstatus
        - name: txhash
          in: query
          required: true
          description: Transaction hash to check the receipt status.
          schema:
            type: string
          example: '0x513c1ba0bebf66436b5fed86ab668452b7805593c05073eb2d51d3a52f480a76'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      1 if the request returned data, 0 otherwise. A status of 0
                      can indicate an error or a valid request that returned no
                      records.
                  message:
                    type: string
                    description: >-
                      OK on success, otherwise an error description such as
                      NOTOK. See [common error
                      messages](/common-error-messages).
                  result:
                    type: object
                    properties:
                      status:
                        type: string
                        description: >-
                          Transaction receipt status. 1 for success, 0 for
                          failure. Empty for pre-Byzantium blocks.
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: >-
        Enter your Etherscan API key, or [set one up](/set-up-your-api-key) if
        you don't have one.

````